## kf6-kparts 6.18.0+p24.04+vstable+git20250921.0225

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.19.0") # handled by release scripts
set(KF_DEP_VERSION "6.18.0") # handled by release scripts
project(KParts VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEPackageAppTemplates)

include(ECMGenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control how much of deprecated API is build [default=0].")

set(kparts_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kparts_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KPARTS
                        VERSION_HEADER "${kparts_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6PartsConfigVersion.cmake"
                        SOVERSION 6)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets Xml)

find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6KIO ${KF_DEP_VERSION} REQUIRED)
find_package(KF6JobWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6XmlGui ${KF_DEP_VERSION} REQUIRED)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.18.0
)

if(BUILD_TESTING)
  add_subdirectory( tests )
  add_subdirectory( autotests )
endif()
add_definitions(-DTRANSLATION_DOMAIN=\"kparts6\")
ki18n_install(po)

add_subdirectory( src )
add_subdirectory(templates)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Parts")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6PartsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PartsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PartsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PartsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6PartsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6PartsTargets.cmake NAMESPACE KF6:: )

install(FILES
  ${kparts_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KParts COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kparts (6.18.0+p24.04+vstable+git20250921.0225-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 02:25:52 +0000

kf6-kparts (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 23:02:45 +0000

kf6-kparts (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:24:53 +0000

kf6-kparts (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:34:09 +0000

kf6-kparts (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:57:10 +0000

kf6-kparts (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 07 May 2025 23:55:47 +1000

kf6-kparts (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:06:59 +0000

kf6-kparts (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:06:30 +0000

kf6-kparts (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:33:35 +0000

kf6-kparts (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:05:22 +0000

kf6-kparts (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:34:40 +0000

kf6-kparts (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:37:22 +0000

kf6-kparts (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:32:22 +0000

kf6-kparts (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:39:59 +0000

kf6-kparts (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:39:13 +0000

kf6-kparts (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:42:46 +0000

kf6-kparts (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:32:14 +1000

kf6-kparts (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:00:03 +0000

kf6-kparts (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:24:02 +0000

kf6-kparts (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kparts (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kparts 6.18.0+p24.04+vstable+git20251005.1031

=== debian/changelog ===
kf6-kparts (6.18.0+p24.04+vstable+git20251005.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 10:31:20 +0000

## kf6-kparts 6.19.0

=== src/CMakeLists.txt ===
add_library(KF6Parts)
add_library(KF6::Parts ALIAS KF6Parts)

set_target_properties(KF6Parts PROPERTIES
    VERSION     ${KPARTS_VERSION}
    SOVERSION   ${KPARTS_SOVERSION}
    EXPORT_NAME Parts
)

target_sources(KF6Parts PRIVATE
    partbase.cpp
    part.cpp
    partloader.cpp
    openurlarguments.cpp
    readonlypart.cpp
    readwritepart.cpp
    partmanager.cpp
    mainwindow.cpp
    guiactivateevent.cpp
    partactivateevent.cpp
    navigationextension.cpp
    openurlevent.cpp
    statusbarextension.cpp
    fileinfoextension.cpp
    listingfilterextension.cpp
    listingnotificationextension.cpp
)

include(ECMGenerateHeaders)
ecm_generate_headers(KParts_CamelCase_HEADERS
    HEADER_NAMES
        FileInfoExtension
        GUIActivateEvent
        ListingFilterExtension
        ListingNotificationExtension
        MainWindow
        NavigationExtension
        OpenUrlArguments
        OpenUrlEvent
        Part
        PartActivateEvent
        PartBase
        PartLoader
        PartManager
        ReadOnlyPart
        ReadWritePart
        StatusBarExtension
    REQUIRED_HEADERS KParts_HEADERS
    PREFIX KParts
)
install(FILES ${KParts_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KParts/KParts
        COMPONENT Devel)

ecm_qt_declare_logging_category(KF6Parts
    HEADER kparts_logging.h
    IDENTIFIER KPARTSLOG
    CATEGORY_NAME kf.parts
    DESCRIPTION "KParts"
    EXPORT KPARTSLOG
)

ecm_generate_export_header(KF6Parts
    EXPORT_FILE_NAME ${KParts_BINARY_DIR}/kparts/kparts_export.h
    BASE_NAME KParts
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6Parts
    PUBLIC "$<BUILD_INTERFACE:${KParts_BINARY_DIR}>"
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KParts>"
)

target_link_libraries(KF6Parts
    PUBLIC
        KF6::KIOCore # KFileItem used in FileInfoExtension API
        KF6::XmlGui # essential to the technology
    PRIVATE
        KF6::Service
        KF6::I18n
        KF6::JobWidgets
        KF6::KIOWidgets
)

install(TARGETS KF6Parts EXPORT KF6PartsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${KParts_BINARY_DIR}/kparts/kparts_export.h
  ${KParts_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KParts/kparts COMPONENT Devel
)

install(FILES kde_terminal_interface.h DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KParts )

ecm_qt_install_logging_categories(
    EXPORT KPARTSLOG
    FILE kparts.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ecm_generate_qdoc(KF6Parts kparts.qdocconf)

=== templates/CMakeLists.txt ===
kde_package_app_templates(
    TEMPLATES
        kparts6-app
    INSTALL_DIR ${KDE_INSTALL_KAPPTEMPLATESDIR}
)

=== debian/changelog ===
kf6-kparts (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:07:00 +0100

=== debian/control ===
Source: kf6-kparts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               libkf6config-dev (>= 6.19.0~),
               libkf6coreaddons-dev (>= 6.19.0~),
               libkf6i18n-dev (>= 6.19.0~),
               libkf6jobwidgets-dev (>= 6.19.0~),
               libkf6kio-dev (>= 6.19.0~),
               libkf6service-dev (>= 6.19.0~),
               libkf6widgetsaddons-dev (>= 6.19.0~),
               libkf6xmlgui-dev (>= 6.19.0~),
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kparts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kparts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kparts
Rules-Requires-Root: no

Package: libkf6parts-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Document centric plugin system
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf6parts-dev
Section: libdevel
Architecture: any
Depends: libkf6kio-dev (>= 6.19.0~),
         libkf6parts6 (= ${binary:Version}),
         libkf6xmlgui-dev (>= 6.19.0~),
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
Recommends: libkf6parts-doc (= ${source:Version}),
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf6parts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Document centric plugin system (documentation)
 Framework providing elaborate user-interface components.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6parts6
Architecture: any
Multi-Arch: same
Depends: libkf6parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document centric plugin system
 Framework providing elaborate user-interface components.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

TESTS_HOME=$(CURDIR)/debian/tests.home
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	mkdir -p "$(TESTS_HOME)"
	HOME="$(TESTS_HOME)" xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test
	rm -rf "$(TESTS_HOME)"

## kf6-kparts 6.19.0+p24.04+vstable+git20251017.0441

=== debian/changelog ===
kf6-kparts (6.19.0+p24.04+vstable+git20251017.0441-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 04:41:59 +0000

kf6-kparts (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:04:18 +0000

## kf6-kparts 6.19.0+p24.04+vunstable+git20251008.1237

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KParts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kparts (6.19.0+p24.04+vunstable+git20251008.1237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 12:38:00 +0000

=== debian/control ===
Source: kf6-kparts
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kbookmarks-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemviews-dev,
               kf6-kjobwidgets-dev,
               kf6-knotifications-dev,
               kf6-kservice-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               kf6-sonnet-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kparts
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kparts.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kparts
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kparts
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6parts-data, libkf6parts-plugins, libkf6parts6
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: kf6-kparts-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kio-dev, kf6-kparts (= ${binary:Version}), ${misc:Depends}
Replaces: libkf6parts-dev, libkf6parts-doc
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf6parts6
Architecture: all
Depends: kf6-kparts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6parts-data
Architecture: all
Depends: kf6-kparts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6parts-dev
Architecture: all
Depends: kf6-kparts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6parts-doc
Architecture: all
Depends: kf6-kparts-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6parts-plugins
Architecture: all
Depends: kf6-kparts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kparts 6.19.0+p24.04+vunstable+git20251020.1033

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6PartsConfigVersion.cmake"
                         SOVERSION 6)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets Xml)
 
 find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)

=== debian/changelog ===
kf6-kparts (6.19.0+p24.04+vunstable+git20251020.1033-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 10:33:53 +0000

## kf6-kparts 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KParts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -46,7 +46,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )
 
 if(BUILD_TESTING)

=== debian/changelog ===
kf6-kparts (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

  [ Helmut Grohne ]
  * Fix FTCBFS: Explicitly request installation of application templates.
    (Closes: #1120456)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:26:36 +0100

=== debian/control ===
Source: kf6-kparts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6jobwidgets-dev (>= 6.20.0~),
               libkf6kio-dev (>= 6.20.0~),
               libkf6service-dev (>= 6.20.0~),
               libkf6widgetsaddons-dev (>= 6.20.0~),
               libkf6xmlgui-dev (>= 6.20.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kparts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts.git
Rules-Requires-Root: no

Package: libkf6parts-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Document centric plugin system
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf6parts-dev
Section: libdevel
Architecture: any
Depends: libkf6kio-dev (>= 6.20.0~),
         libkf6parts6 (= ${binary:Version}),
         libkf6xmlgui-dev (>= 6.20.0~),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6parts-doc (= ${source:Version}),
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf6parts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Document centric plugin system (documentation)
 Framework providing elaborate user-interface components.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6parts6
Architecture: any
Multi-Arch: same
Depends: libkf6parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document centric plugin system
 Framework providing elaborate user-interface components.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBUILD_QCH=ON
+	dh_auto_configure -- -DBUILD_QCH=ON -DKDE_INSTALL_APP_TEMPLATES=ON
 
 override_dh_auto_test:
 	mkdir -p "$(TESTS_HOME)"

## kf6-kparts 6.20.0+p24.04+vunstable+git20251122.0846

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KParts VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kparts (6.20.0+p24.04+vunstable+git20251122.0846-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 08:46:26 +0000

kf6-kparts (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:49 +1000

## kf6-kparts 6.20.0+p24.04+vunstable+git20251206.0651

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KParts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kparts (6.20.0+p24.04+vunstable+git20251206.0651-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 06:51:28 +0000

## kf6-kparts 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KParts VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kparts (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:52:36 +0000

kf6-kparts (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:15:19 +0000

=== debian/control ===
Source: kf6-kparts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.21.0~),
               libkf6config-dev (>= 6.21.0~),
               libkf6coreaddons-dev (>= 6.21.0~),
               libkf6i18n-dev (>= 6.21.0~),
               libkf6jobwidgets-dev (>= 6.21.0~),
               libkf6kio-dev (>= 6.21.0~),
               libkf6service-dev (>= 6.21.0~),
               libkf6widgetsaddons-dev (>= 6.21.0~),
               libkf6xmlgui-dev (>= 6.21.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0+dfsg~),
               qt6-tools-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kparts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kparts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kparts
Rules-Requires-Root: no

Package: libkf6parts-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Document centric plugin system
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf6parts-dev
Section: libdevel
Architecture: any
Depends: libkf6kio-dev (>= 6.21.0~),
         libkf6parts6 (= ${binary:Version}),
         libkf6xmlgui-dev (>= 6.21.0~),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6parts-doc (= ${source:Version}),
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf6parts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Document centric plugin system (documentation)
 Framework providing elaborate user-interface components.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6parts6
Architecture: any
Multi-Arch: same
Depends: libkf6parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document centric plugin system
 Framework providing elaborate user-interface components.

## kf6-kparts 6.22.0

=== debian/changelog ===
kf6-kparts (6.22.0-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:58:41 +0000

kf6-kparts (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:31:46 +0000

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
-               libkf6jobwidgets-dev (>= 6.21.0~),
-               libkf6kio-dev (>= 6.21.0~),
-               libkf6service-dev (>= 6.21.0~),
-               libkf6widgetsaddons-dev (>= 6.21.0~),
-               libkf6xmlgui-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6jobwidgets-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
+               libkf6xmlgui-dev (>= 6.22.0~),
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0+dfsg~),
                qt6-tools-dev (>= 6.8.0~),
@@ -42,9 +42,9 @@
 Package: libkf6parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6kio-dev (>= 6.21.0~),
+Depends: libkf6kio-dev (>= 6.22.0~),
          libkf6parts6 (= ${binary:Version}),
-         libkf6xmlgui-dev (>= 6.21.0~),
+         libkf6xmlgui-dev (>= 6.22.0~),
          qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6parts-doc (= ${source:Version}),

## kf6-kparts 6.22.0+p24.04+vstable+git20260126.1110

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KParts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -45,8 +45,8 @@
 find_package(KF6XmlGui ${KF_DEP_VERSION} REQUIRED)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 if(BUILD_TESTING)

=== debian/changelog ===
kf6-kparts (6.22.0+p24.04+vstable+git20260126.1110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 11:10:48 +0000

kf6-kparts (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:42:48 +1000

kf6-kparts (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:11:27 +1000

## kf6-kparts 6.22.0+p24.04+vstable+git20260209.1152

=== debian/changelog ===
kf6-kparts (6.22.0+p24.04+vstable+git20260209.1152-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 11:52:50 +0000

## kf6-kparts 6.22.0+p24.04+vunstable+git20260209.0749

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.24.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project(KParts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kparts (6.22.0+p24.04+vunstable+git20260209.0749-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 07:50:07 +0000

## kf6-kparts 6.23.0

=== debian/changelog ===
kf6-kparts (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Link tests scratch folder cleanup to dh_auto_clean phase.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:57 +0100

=== debian/control ===
Source: kf6-kparts
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.27~),
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               libkf6config-dev (>= 6.23.0~),
               libkf6coreaddons-dev (>= 6.23.0~),
               libkf6i18n-dev (>= 6.23.0~),
               libkf6jobwidgets-dev (>= 6.23.0~),
               libkf6kio-dev (>= 6.23.0~),
               libkf6service-dev (>= 6.23.0~),
               libkf6widgetsaddons-dev (>= 6.23.0~),
               libkf6xmlgui-dev (>= 6.23.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/kparts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kparts.git

Package: libkf6parts-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Document centric plugin system
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf6parts-dev
Section: libdevel
Architecture: any
Depends: libkf6kio-dev (>= 6.23.0~),
         libkf6parts6 (= ${binary:Version}),
         libkf6xmlgui-dev (>= 6.23.0~),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6parts-doc (= ${source:Version}),
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf6parts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Document centric plugin system (documentation)
 Framework providing elaborate user-interface components.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6parts6
Architecture: any
Multi-Arch: same
Depends: libkf6parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document centric plugin system
 Framework providing elaborate user-interface components.

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,6 @@
 override_dh_auto_test:
 	mkdir -p "$(TESTS_HOME)"
 	HOME="$(TESTS_HOME)" xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test
+
+execute_before_dh_auto_clean:
 	rm -rf "$(TESTS_HOME)"
